Talk:FEM Mesh

From FreeCAD Documentation
Jump to navigation Jump to search

Hi Bernd, could not do the below commands:

Postprocessing colors and displacement: Highlight some nodes on the view:

  1. set the volume 1 to red

Gui.ActiveDocument.ActiveObject.ElementColor= {1:(1,0,0)}

  1. set the node 1 and 2 to a certain Color and interpolate the survace

Gui.ActiveDocument.ActiveObject.NodeColor= {1:(1,0,0),2:(1,0,0)}

  1. set the node 1 and 2 to a certain displacement

Gui.ActiveDocument.ActiveObject.NodeDisplacement= {1:FreeCAD.Vector(1,0,0),2:FreeCAD.Vector(1,0,0)}

  1. double the factor of the displacement shown

Gui.ActiveDocument.ActiveObject.animate(2.0)

something like this happened: https://www.dropbox.com/s/u9rnh3vkno4alq4/highlightdark.png?dl=0 Anyway did no fem calculation first, neither.